Display number (Sender)
Get Number Attributes
Request API
POST
https://api.innopaas.com/api/whatsapp/v3/profile/get
Request Parameters
wabaId
String
Yes
Unique identifier of the WhatsApp business account
phoneNumberId
String
Yes
Sender number ID
Request Example
{
"wabaId":"266023689931441",
"phoneNumberId":"267525086448707",
}Response Parameters
wabaId
String
Yes
Unique identifier of the WhatsApp business account
phoneNumberId
String
Yes
Sender number ID
about
String
No
About information
address
String
No
Address information
description
String
No
Description information
String
No
websites
String[]
No
Website address
vertical
String
No
Industry: optional values: * UNDEFINED* OTHER* AUTO* BEAUTY* APPAREL* EDU* ENTERTAIN* EVENT_PLAN* FINANCE* GROCERY* GOVT* HOTEL* HEALTH* NONPROFIT* PROF_SERVICES* RETAIL* TRAVEL* RESTAURANT* NOT_A_BIZ
profile_picture_url
String
No
Profile picture URL
Response Example
Modify Number Attributes
Request API
POST
https://api.innopaas.com/api/whatsapp/v3/profile/modify
Request Parameters
wabaId
String
Yes
Unique identifier of the WhatsApp business account
phoneNumberId
String
Yes
Sender number ID
about
String
No
About information
address
String
No
Address information
description
String
No
Description information
String
No
websites
String[]
No
Website address
vertical
String
No
Industry: optional values: * UNDEFINED* OTHER* AUTO* BEAUTY* APPAREL* EDU* ENTERTAIN* EVENT_PLAN* FINANCE* GROCERY* GOVT* HOTEL* HEALTH* NONPROFIT* PROF_SERVICES* RETAIL* TRAVEL* RESTAURANT* NOT_A_BIZ
profilePictureHandle
String
No
Data returned by file upload
Request Example
Response Example
最后更新于